import { Storage } from '../../util/storage';
import { Api } from '../../api';
import { JsonApi } from './json-api';
import { Config } from '../../config';
export declare class Drupal {
    api: Api;
    jsonApi: JsonApi;
    jDrupal: any;
    config: Config;
    settings: any;
    user: any;
    authenticated: boolean;
    model: any;
    saveLocalModel: typeof Storage.saveLocalModel;
    restoreLocalModel: typeof Storage.restoreLocalModel;
    cache: boolean;
    credentials: any;
    routes: any;
    siteParams: any;
    baseUrl: string;
    domain: string;
    options: any;
    version: string;
    static: boolean;
    standalone: boolean;
    base_path: string;
    protocol: string;
    cors: boolean;
    isLocal: boolean;
    file_directory_path: string;
    sites: any;
    defaultAuthHeader: string;
    constructor(config: any, apiService?: any);
    init(options: any): Promise<{}>;
    initApi(): void;
    login(username: any, password: any): Promise<{}>;
    logout(): Promise<{}>;
    getParams(): Promise<{}>;
    getView(viewEntity: any, params?: any): Promise<{}>;
    getAppNode(uuid: any): Promise<{}>;
    getSiteData(promises: any): Promise<{}>;
    getLocalStorageCredentials(): Promise<{}>;
    menuLoad(mid: string, preloadNodes?: boolean): Promise<{}>;
    bookLoad(bid: number, preload?: boolean): Promise<{}>;
    parseBookTree(bid: number): any;
    nodeLoad(nid: number): Promise<{}>;
    nodesLoad(nids: any): Promise<{}>;
    createNode(data: any): any;
}
